Skip to main content
`Ctrl`+`K`

# DMSwarmGetVelocityFunction

Get the function setting initial particle velocities, if it exists

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmGetVelocityFunction(DM sw, PetscSimplePointFn **velFunc)

Not Collective

## Input Parameter

- sw - the `DMSWARM`

## Output Parameter

- velFunc - the function setting initial particle velocities, or `NULL`, see `PetscSimplePointFn` for the calling sequence

## See Also

`DMSWARM`, `DMSwarmSetVelocityFunction()`, `DMSwarmGetCoordinateFunction()`, `DMSwarmInitializeVelocities()`, `PetscSimplePointFn`

## Level

intermediate

## Location

src/dm/impls/swarm/swarmpic.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages